=== debian/changelog ===
tevent (0.14.0-2) unstable; urgency=medium

  * new upstream release (0.14.0, from samba 4.18):
    - Support python 3.12
    - remove solaris port backend (it's not maintainable)
    - make tevent_find_ops_byname() available for callers.
    - allow the "standard" backend to be overloaded
    - add interface for request/subrequest call depth tracking:
      tevent_thread_call_depth_activate
      tevent_thread_call_depth_deactivate
      tevent_thread_call_depth_start
      tevent_thread_call_depth_stop
      tevent_thread_call_depth_reset_from_req
  * d/libtevent0.symbols: add new symbols and version
  * d/control: build-depend on more recent libtalloc (2.4.0)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 21 Jan 2023 10:43:30 +0300

tevent (0.13.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

  [ Michael Tokarev ]
  * d/rules: support "terse" build option for non-verbose build
  * d/salsa-ci.yml:
    - instead of allowing blhc to (always) fail, disable it
    - disable crossbuild-arm64 test (samba does not cross-build)

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 20 Jan 2023 19:07:18 +0300
