=== debian/control ===
Source: tevent
Section: devel
Priority: optional
Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
Uploaders:
	Jelmer Vernooij <jelmer@debian.org>,
	Mathieu Parent <sathieu@debian.org>,
	Michael Tokarev <mjt@tls.msk.ru>
Build-Depends: debhelper-compat (= 13),
               libaio-dev [linux-any],
               libcmocka-dev,
               libtalloc-dev (>= 2.4.0~),
               pkg-config,
               python3:any,
               python3-distutils
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://tevent.samba.org/
Vcs-Browser: https://salsa.debian.org/samba-team/tevent
Vcs-Git: https://salsa.debian.org/samba-team/tevent.git

Package: libtevent0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: talloc-based event loop library - shared library
 tevent is a simple library that can handle the main event loop for an
 application. It supports three kinds of events: timed events, file
 descriptors becoming readable or writable and signals.
 .
 Talloc is used for memory management, both internally and for private
 data provided by users of the library.
 .
 This package provides the shared library file.

Package: libtevent-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libc6-dev,
         libtalloc-dev,
         libtevent0 (= ${binary:Version}),
         ${misc:Depends}
Description: talloc-based event loop library - development files
 tevent is a simple library that can handle the main event loop for an
 application. It supports three kinds of events: timed events, file
 descriptors becoming readable or writable and signals.
 .
 Talloc is used for memory management, both internally and for private
 data provided by users of the library.
 .
 This package provides the development files.
