## tevent 0.14.1

=== wscript ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/env python
 
 APPNAME = 'tevent'
-VERSION = '0.14.0'
+VERSION = '0.14.1'
 
 import sys, os
 
@@ -93,9 +93,6 @@
     if bld.CONFIG_SET('HAVE_EPOLL'):
         SRC += ' tevent_epoll.c'
 
-    if bld.CONFIG_SET('HAVE_SOLARIS_PORTS'):
-        SRC += ' tevent_port.c'
-
     if bld.env.standalone_tevent:
         bld.env.PKGCONFIGDIR = '${LIBDIR}/pkgconfig'
         private_library = False
