=== debian/changelog ===
tevent (0.14.1-1) unstable; urgency=medium

  * new upstream minor release:
    - Build fix for GNU/Hurd
    - Build fix for Solaris, after removal
      of ports backend (samba bug #15298)
  * d/control: do not build-depend on python-distutils,
    sysconfig will be used instead
  * d/control: Standards-Version: 4.6.2 (no changes)
  * d/control: remove build-depend on libaio-dev, it is not used
  * cross.patch: fix two bugs in it

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 04 Feb 2023 11:22:05 +0300
