=== debian/control ===
--- 
+++ 
@@ -7,14 +7,12 @@
 	Mathieu Parent <sathieu@debian.org>,
 	Michael Tokarev <mjt@tls.msk.ru>
 Build-Depends: debhelper-compat (= 13),
-               libaio-dev [linux-any],
                libcmocka-dev,
                libtalloc-dev (>= 2.4.0~),
                pkg-config,
                python3:any,
-               python3-distutils
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://tevent.samba.org/
 Vcs-Browser: https://salsa.debian.org/samba-team/tevent
 Vcs-Git: https://salsa.debian.org/samba-team/tevent.git
