## tevent 0.15.0

=== debian/changelog ===
tevent (0.15.0-1) unstable; urgency=medium

  * new upstream release (requires talloc 2.4.1; new symbols)
  * remove hunk from cross.patch which is applied upstream

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 30 Jul 2023 23:06:06 +0300
