=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	Michael Tokarev <mjt@tls.msk.ru>
 Build-Depends: debhelper-compat (= 13),
                libcmocka-dev,
-               libtalloc-dev (>= 2.4.0~),
+               libtalloc-dev (>= 2.4.1~),
                pkg-config,
                python3:any,
 Rules-Requires-Root: no
