## tevent 0.16.1

=== debian/changelog ===
tevent (0.16.1-3) unstable; urgency=medium

  * d/rules: include buildtools.mk and export CC/CPP/LD/PKGCONFIG
    (esp. waf isn't finding PKG_CONFIG when cross-compiling)
  * replace pkg-config => pkgconf in Build-Depends
  * implement pkg.tevent.before-t64 build profile (for older releases)

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 05 Aug 2024 14:27:32 +0300

tevent (0.16.1-2) unstable; urgency=medium

  * Rename libraries for 64-bit time_t transition.  Closes: #1062974
  * also add versioned Buil-Depends on dpkg-dev to ensure package
    wont be built on older systems (eg backports)

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 29 Feb 2024 12:48:50 +0300

tevent (0.16.1-1) unstable; urgency=medium

  * new upstream release
  * d/control: update libtalloc version for Build-Depends
  * d/patches/cross.patch: refresh
  * d/libtevent0.symbols: update symbols file with new version

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 29 Jan 2024 20:15:38 +0300
