=== debian/control ===
--- 
+++ 
@@ -7,9 +7,10 @@
 	Mathieu Parent <sathieu@debian.org>,
 	Michael Tokarev <mjt@tls.msk.ru>
 Build-Depends: debhelper-compat (= 13),
+               dpkg-dev (>= 1.22.5) <!pkg.tevent.before-t64>,
                libcmocka-dev,
-               libtalloc-dev (>= 2.4.1~),
-               pkg-config,
+               libtalloc-dev (>= 2.4.2~),
+               pkgconf,
                python3:any,
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
@@ -17,7 +18,29 @@
 Vcs-Browser: https://salsa.debian.org/samba-team/tevent
 Vcs-Git: https://salsa.debian.org/samba-team/tevent.git
 
+Package: libtevent0t64
+Build-Profiles: <!pkg.tevent.before-t64>
+Provides: ${t64:Provides}
+Replaces: libtevent0
+Breaks: libtevent0 (<< ${source:Version})
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Section: libs
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: talloc-based event loop library - shared library
+ tevent is a simple library that can handle the main event loop for an
+ application. It supports three kinds of events: timed events, file
+ descriptors becoming readable or writable and signals.
+ .
+ Talloc is used for memory management, both internally and for private
+ data provided by users of the library.
+ .
+ This package provides the shared library file.
+
 Package: libtevent0
+# the same as libtevent0t64
+Build-Profiles: <pkg.tevent.before-t64>
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -39,7 +62,8 @@
 Multi-Arch: same
 Depends: libc6-dev,
          libtalloc-dev,
-         libtevent0 (= ${binary:Version}),
+         libtevent0t64 (= ${binary:Version}) <!pkg.tevent.before-t64>,
+         libtevent0    (= ${binary:Version}) < pkg.tevent.before-t64>,
          ${misc:Depends}
 Description: talloc-based event loop library - development files
  tevent is a simple library that can handle the main event loop for an
