=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 ifeq (${DEB_HOST_MULTIARCH},)
    $(foreach d, $(shell dpkg-architecture | sed 's/=/?=/'), $(eval export $d))
 endif
+include /usr/share/dpkg/buildtools.mk
 include /usr/share/dpkg/buildflags.mk
 V := $(if $(filter terse, ${DEB_BUILD_OPTIONS}),,1)
 WAF := PYTHONHASHSEED=1 ./buildtools/bin/waf \
@@ -24,6 +25,7 @@
 
 override_dh_auto_configure: bin/config-stamp
 bin/config-stamp:
+	CC="${CC}" CPP="${CPP}" LD="${LD}" PKGCONFIG="${PKG_CONFIG}" \
 	CPPFLAGS="${CPPFLAGS}" CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}" \
 	    ${WAF} -j1 -C configure \
 		--prefix=/usr \
